# DXGfxLib.Serialization.TerrainSurrogate Class Reference

List of all members.

## Public Member Functions
void | GetObjectData (Object obj, SerializationInfo info, StreamingContext context)
| This is called to serialize the Scene.
Object | SetObjectData (Object obj, SerializationInfo info, StreamingContext context, ISurrogateSelector selector)
| This is called to deserialize a scene object.
void | GetObjectData (Object obj, SerializationInfo info, StreamingContext context)
| This is called to serialize the Scene.
Object | SetObjectData (Object obj, SerializationInfo info, StreamingContext context, ISurrogateSelector selector)
| This is called to deserialize a scene object.

## Detailed Description

Definition at line 8 of file TerrainSurrogate.cs.

## Member Function Documentation

void DXGfxLib.Serialization.TerrainSurrogate.GetObjectData | ( | Object | obj,
|  | SerializationInfo | info,
|  | StreamingContext | context |
| ) |  |  |

This is called to serialize the Scene.

Parameters:

  | obj | The scene object that need to be serialized.
  | info | where we have to write what we want to be serialized.
  | context |

Definition at line 16 of file TerrainSurrogate.cs.

void DXGfxLib.Serialization.TerrainSurrogate.GetObjectData | ( | Object | obj,
|  | SerializationInfo | info,
|  | StreamingContext | context |
| ) |  |  |

This is called to serialize the Scene.

Parameters:

  | obj | The scene object that need to be serialized.
  | info | where we have to write what we want to be serialized.
  | context |

Definition at line 16 of file TerrainSurrogate.cs.

Object DXGfxLib.Serialization.TerrainSurrogate.SetObjectData | ( | Object | obj,
|  | SerializationInfo | info,
|  | StreamingContext | context,
|  | ISurrogateSelector | selector |
| ) |  |  |

This is called to deserialize a scene object.

Parameters:

  | obj | The scene object we need to populate with values.
  | info | Serialized information we need to read and push to the scene object.
  | context |
  | selector |

Returns:
  null (ignored)

Definition at line 44 of file TerrainSurrogate.cs.

Here is the call graph for this function:

Object DXGfxLib.Serialization.TerrainSurrogate.SetObjectData | ( | Object | obj,
|  | SerializationInfo | info,
|  | StreamingContext | context,
|  | ISurrogateSelector | selector |
| ) |  |  |

This is called to deserialize a scene object.

Parameters:

  | obj | The scene object we need to populate with values.
  | info | Serialized information we need to read and push to the scene object.
  | context |
  | selector |

Returns:
  null (ignored)

Definition at line 44 of file TerrainSurrogate.cs.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Serialization/TerrainSurrogate.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Serialization/TerrainSurrogate.cs